%global commit 89455dfa396fb11f1ac0f47e119da0c76116eab7
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20230611


Name:                    emdas
Version:                 2.2.4
Release:                 4.git%{gitdate}%{?dist}
Summary:                 EMDAS is a disassembler for MERA-400.

License:                 GPLv2
URL:                     https://github.com/jakubfi/emdas
Source0:                 https://github.com/jakubfi/emdas/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:           gcc
BuildRequires:           cmake >= 3.0.0
BuildRequires:           libemawp-devel
BuildRequires:           libemawp
Requires:                libemawp
Requires:                libemdas

%description
EMDAS is a disassembler for MERA-400, available as a standalone commandline tool.


%package -n libemdas
Summary: EMDAS is a disassembler for MERA-400, available as a library.

%description -n libemdas
EMDAS is a disassembler for MERA-400, available as a library.


%package -n libemdas-devel
Summary: EMDAS is a disassembler for MERA-400, available as a library.

%description -n libemdas-devel
EMDAS is a disassembler for MERA-400, available as a library.


%prep
%autosetup -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n emdas
%license COPYING
%{_bindir}/emdas

%files -n libemdas
%{_libdir}/libemdas.so
%{_libdir}/libemdas.so.2.2

%files -n libemdas-devel
%{_includedir}/*.h
%{_libdir}/cmake/emdas/*.cmake

%changelog
* Sun Jun 11 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 2.2.4-4.git20230611
- can use stdin as input

* Mon Feb 14 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 2.2.4-4.git20220214
- Add build actions
- open files in binary mode
- install library RUNTIME (for windows)

* Sun Feb 13 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 2.2.4-4.git20220213
- support building on windows
- CMake and build cleanups, lots of
- Update emawp import, bump cmake version
- remove duplicated block

* Wed Dec 22 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.2.4-3
- commit drop emelf

* Sat Dec 11 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.2.4-2
- Split into separate packages

* Sat Dec 4 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.2.4-1
- Initial build

